import PropTypes from 'prop-types';
import AtomButton, { atomButtonDesigns, atomButtonShapes, atomButtonSizes } from '@s-ui/react-atom-button';
import { BASE_CLASS } from '../config.js';
import { jsx as _jsx } from "react/jsx-runtime";
var NO_OP = function NO_OP() {};
var SelectIcon = function SelectIcon(_ref) {
  var IconArrowDown = _ref.iconArrowDown,
    removeButtonOptions = _ref.removeButtonOptions;
  if (!removeButtonOptions) return /*#__PURE__*/_jsx(IconArrowDown, {});
  var _removeButtonOptions$ = removeButtonOptions.design,
    design = _removeButtonOptions$ === void 0 ? atomButtonDesigns.FLAT : _removeButtonOptions$,
    _removeButtonOptions$2 = removeButtonOptions.isShown,
    isShown = _removeButtonOptions$2 === void 0 ? false : _removeButtonOptions$2,
    _removeButtonOptions$3 = removeButtonOptions.negative,
    negative = _removeButtonOptions$3 === void 0 ? false : _removeButtonOptions$3,
    _removeButtonOptions$4 = removeButtonOptions.onClick,
    onClick = _removeButtonOptions$4 === void 0 ? NO_OP : _removeButtonOptions$4,
    RightIcon = removeButtonOptions.rightIcon,
    _removeButtonOptions$5 = removeButtonOptions.shape,
    shape = _removeButtonOptions$5 === void 0 ? atomButtonShapes.CIRCULAR : _removeButtonOptions$5,
    _removeButtonOptions$6 = removeButtonOptions.size,
    size = _removeButtonOptions$6 === void 0 ? atomButtonSizes.MEDIUM : _removeButtonOptions$6;
  var handleOnButtonClick = function handleOnButtonClick(evt) {
    evt.stopPropagation();
    onClick();
  };
  return /*#__PURE__*/_jsx("div", {
    className: BASE_CLASS + "-selectIcon--withRemoveOption",
    children: /*#__PURE__*/_jsx(AtomButton, {
      design: isShown ? design : atomButtonDesigns.LINK,
      shape: shape,
      size: size,
      negative: negative,
      rightIcon: isShown ? /*#__PURE__*/_jsx(RightIcon, {}) : /*#__PURE__*/_jsx(IconArrowDown, {}),
      onClick: isShown ? handleOnButtonClick : NO_OP
    })
  });
};
export default SelectIcon;